Urbackup module Upgrade to version 2.3.7

Hey there, we are using the fantastic module written by @stephdl to install urbackup on nethserver…

Unfortunately the module installs version 1.4.14 which is a somehow outdated.

Has anyone tried to uograde to a newer version?
I tried downloading uofated rpms from urbackup site, but without success…

I would try to ask @stephdl if he can update the module package so we could update simply with a yum update…

I assume you use NS 6. There are no new rpms for CentOS6 so I installed it from source and it worked, see Urbackup restore, not work

My installation notes:

service urbackup-server stop
yum -y install http://www.city-fan.org/ftp/contrib/yum-repo/rhel6/i386/city-fan.org-release-2-1.rhel6.noarch.rpm
yum -y --enablerepo=city-fan.org install libcurl-devel cryptopp-devel gcc-c++ zlib-devel
cd ~
wget https://hndl.urbackup.org/Server/2.3.7/urbackup-server-2.3.7.tar.gz
tar xf urbackup-server-2.3.7.tar.gz
cd urbackup-server-2.3.7
./configure
make
make install
urbackupsrv run -d

So you just downloaded Sources and recompiled them to make it work?

When you run make install I assume that this is overwriting version 1.4.14?

Thanks a lot…

please, please upgrade to ns7

2 Likes

you mean using the upgrade tool?
otherwise i need to reinstall Ns7… but this would need too much time…

IT, cook, mountain bike waste a lot of my life

2 Likes

:joy::joy::joy:

hi all,
it is a ready to use rpm package for CenotOS 7, by OSB (OpenSuSE Buil Service)
https://software.opensuse.org/download.html?project=home%3Auroni&package=urbackup-server
for all rpm’s (and not only) base Linux distribution’s
Direct link for CentOS 7 rmp
https://download.opensuse.org/repositories/home:/uroni/CentOS_7/x86_64/urbackup-server-2.3.8.0-1.1.x86_64.rpm

And it is a latest release UrBackup server.
Have a fun :slight_smile:

1 Like